
RewriteLock        /tmp/apache_rewrite.lock


ExtendedStatus     On
User               claranet
Group              claranet
ServerAdmin        webmaster@claranet.fr
UseCanonicalName   Off
DocumentRoot       "/usr/local/easybiz/root"
TypesConfig        /easy_conf/apache2/mime.types
# MIMEMagicFile      /easy_conf/apache2/magic
DefaultType        text/plain

<Files ~ "^\.ht">
    Order allow,deny
    Deny from all
</Files>

AddIconByEncoding  (CMP,/clara-icons/compressed.png) x-compress x-gzip
AddIconByType      (TXT,/clara-icons/text.png) text/*
AddIconByType      (IMG,/clara-icons/image2.png) image/*
AddIconByType      (SND,/clara-icons/sound2.png) audio/*
AddIconByType      (VID,/clara-icons/movie.png) video/*
AddIcon            /clara-icons/binary.png .bin .exe
AddIcon            /clara-icons/binhex.png .hqx
AddIcon            /clara-icons/tar.png .tar
AddIcon            /clara-icons/world2.png .wrl .wrl.gz .vrml .vrm .iv
AddIcon            /clara-icons/compressed.png .Z .z .tgz .gz .zip
AddIcon            /clara-icons/a.png .ps .ai .eps
AddIcon            /clara-icons/layout.png .html .shtml .htm .pdf
AddIcon            /clara-icons/text.png .txt
AddIcon            /clara-icons/c.png .c
AddIcon            /clara-icons/p.png .pl .py
AddIcon            /clara-icons/f.png .for
AddIcon            /clara-icons/dvi.png .dvi
AddIcon            /clara-icons/uuencoded.png .uu
AddIcon            /clara-icons/script.png .conf .sh .shar .csh .ksh .tcl
AddIcon            /clara-icons/tex.png .tex
AddIcon            /clara-icons/bomb.png core
AddIcon            /clara-icons/back.png ..
AddIcon            /clara-icons/hand.right.png README
AddIcon            /clara-icons/folder.png ^^DIRECTORY^^
AddIcon            /clara-icons/blank.png ^^BLANKICON^^
DefaultIcon        /clara-icons/unknown.png

#Alias /clara-icons/ "/usr/local/easybiz/icons/"
Alias /clara-icons/ "/easy_conf/clara-icons/"

SetEnv force-proxy-request-1.0 1
SetEnv proxy-nokeepalive 1


#<Directory "/usr/local/easybiz/icons">
<Directory "/easy_conf/clara-icons">
    Options Indexes
    AllowOverride None
    Order allow,deny
    Allow from all
</Directory>

ScriptAlias /claranet_easybiz_wrappers/ /usr/local/easybiz/wrappers/

<Directory "/usr/local/easybiz/wrappers/">
    AllowOverride    None
    Options          ExecCGI
    AddType          application/x-cgi .wrapper
    # SetEnv           DEBUG_EASY_WRAPPER 1
    Order            allow,deny
    Allow            from all
</Directory>

# From /, dont AllowOverride anything, to speed up things (apache won't look for .htaccess files in
# the /, /data, and /data/web/, /data/web/X?/, /data/web/X?/X?/, and /data/web/X?/X?/X?/ folders).

<Directory />
    AllowOverride None
    Order Deny,Allow
    Deny from all
</Directory>

# In the clients directories, we allow much more.
# Note: The Old Easy had "AllowOverride Options", let's try to avoid it for Easy 2004
# (to prevent clients from using FollowSymlinks...)
SetEnv TZ Europe/Paris
<Directory "/data/web/X?/X?/X?/*/public/">
        AllowOverride Indexes AuthConfig FileInfo Limit
        # Options -FollowSymlinks SymLinksIfOwnerMatch IncludesNOEXEC Indexes
        Options -FollowSymlinks SymLinksIfOwnerMatch IncludesNOEXEC
	# PHP
	Action             application/php.wrapper   /claranet_easybiz_wrappers/php.wrapper
	AddHandler         application/php.wrapper   .php .php3 .php4 .php5 .phtml .phpa .phpb
	# Perl
	Action             application/perl.wrapper /claranet_easybiz_wrappers/perl.wrapper
	AddHandler         application/perl.wrapper .pl
	# Python
	Action             application/python.wrapper /claranet_easybiz_wrappers/python.wrapper
	AddHandler         application/python.wrapper .py
	# CGI (via #!/path/to/interpreteur)
	Action             application/cgi.wrapper /claranet_easybiz_wrappers/cgi.wrapper
	AddHandler         application/cgi.wrapper .cgi
	Order Deny,Allow
	Allow from all
	AllowOverride All
</Directory>

<Directory "/data/usr/local/www/common-cgi/">
    AllowOverride None
    Order Deny,Allow
    Allow from all
    Options ExecCGI
    Action             application/common-cgi.wrapper  /claranet_easybiz_wrappers/common-cgi.wrapper
</Directory>

# AdminPass : /data/usr/local/www/adminpass

<Directory "/data/usr/local/www/adminpass/">

	AuthName                     "Domaine"
	AuthType                     Basic
	AuthMySQLHost                "sarthe.fr.clara.net"
	AuthMySQLUser                "user"
	AuthMySQLPassword            "password"
	AuthMySQLDB                  "easy"
	AuthMySQLUserTable           "domain"
	AuthMySQLNameField           "domain"
	AuthMySQLPasswordField       "passwd"
	AuthMySQLNoPasswd            Off
	AuthMySQLCryptedPasswords    Off
	AuthMySQLAuthoritative       On
	require                      valid-user

        AllowOverride    AuthConfig
        Options          ExecCGI
	Action           application/adminpass.wrapper   /claranet_easybiz_wrappers/adminpass.wrapper
	AddHandler       application/adminpass.wrapper   .php
	Order            Allow,Deny
	Allow            from all
</Directory>

#

<VirtualHost _default_:80>

    EBVirtualDocumentRoot easy_biz_hash

    ServerAdmin         webmaster@claranet.fr

    CustomLog           "|/usr/local/sbin/cronolog /mydata/var/log/httpd/%Y/%m/%d/httpd-access.log" combined
    ErrorLog            "|/usr/local/sbin/cronolog /mydata/var/log/httpd/%Y/%m/%d/httpd-error.log"

    Include             /easy_conf/apache2/rewrite_rules-http.conf

</VirtualHost>

# vim: set ft=apache:
